package com.jeequan.jeepay.pay.ctrl.channel.alipay.util;

import java.util.HashMap;
import java.util.Map;

/*
* 支付宝异步通知消息 工具类
*
* @author zx
*
* @date 2023/3/21 17:40
*/
public class AlipayNotifyUtil {

    public static final String NOTIFY_UNKNOWN = "unknown"; // 未知消息
    public static final String NOTIFY_SP_OPERATION_RESULT = "alipay.open.sp.operation.result.notify"; // 服务商代运营操作结果通知
    public static final String NOTIFY_SHOP_SAVE_PASSED = "ant.merchant.expand.shop.save.passed"; // 蚂蚁店铺保存审核通过消息
    public static final String NOTIFY_SHOP_SAVE_REJECTED = "ant.merchant.expand.shop.save.rejected"; // 店铺保存拒绝消息

    public static final Map<String, String> notifyMap = new HashMap<>();
    static {
        notifyMap.put(NOTIFY_UNKNOWN, "未知接口");
        notifyMap.put(NOTIFY_SP_OPERATION_RESULT, "服务商代运营操作结果通知");
        notifyMap.put(NOTIFY_SHOP_SAVE_PASSED, "蚂蚁店铺保存审核通过消息");
        notifyMap.put(NOTIFY_SHOP_SAVE_REJECTED, "店铺保存拒绝消息");
    }


}
